'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _ToggleButton2 = require('./ToggleButton');

var _ToggleButton3 = _interopRequireDefault(_ToggleButton2);

var _CheckBoxSKin = require('../skins/CheckBoxSKin');

var _CheckBoxSKin2 = _interopRequireDefault(_CheckBoxSKin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * CheckBox 控件默认外观包含一个可选标签和一个小方框，该方框内可以包含/不包含选中标记。
 * 当用户单击 CheckBox 控件或其相关文本时，CheckBox 控件的状态将从选中更改为未选中，或者从未选中更改为选中。
 * 多个CheckBox控件可包含一组<b>非相互排斥</b>的true或false值，可通过selected获取和设置此值
 * 
 * @extends ToggleButton
 * @author : xujunjie
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017/9/5 下午1:05:48
 */
var CheckBox = function (_ToggleButton) {
  _inherits(CheckBox, _ToggleButton);

  function CheckBox() {
    _classCallCheck(this, CheckBox);

    return _possibleConstructorReturn(this, (CheckBox.__proto__ || Object.getPrototypeOf(CheckBox)).apply(this, arguments));
  }

  _createClass(CheckBox, [{
    key: '_initProperty',


    /**
    * @inheritdoc
    */
    value: function _initProperty() {
      _get(CheckBox.prototype.__proto__ || Object.getPrototypeOf(CheckBox.prototype), '_initProperty', this).call(this);
      this._value = null;
      this._group = null;
    }

    /**
     * 所属多选框组
     * @type {}
     * @default 
     */

  }, {
    key: '_getDefaultSKinClass',
    value: function _getDefaultSKinClass() {
      return _CheckBoxSKin2.default;
    }
  }, {
    key: 'group',
    get: function get() {
      return this._group;
    },
    set: function set(value) {
      if (this._group !== value) {
        if (this._group) {
          this._group.removeItem(this);
        }
        this._group = value;
        if (this._group) {
          this._group.addItem(this);
        }
      }
    }

    /**
     * 携带的数据
     * @type {*}
     */

  }, {
    key: 'value',
    get: function get() {
      return this._value;
    },
    set: function set(value) {
      this._value = value;
    }
  }]);

  return CheckBox;
}(_ToggleButton3.default);

exports.default = CheckBox;
//# sourceMappingURL=CheckBox.js.map