'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _ItemRender2 = require('./supports/ItemRender');

var _ItemRender3 = _interopRequireDefault(_ItemRender2);

var _TableCellSkin = require('../skins/TableCellSkin');

var _TableCellSkin2 = _interopRequireDefault(_TableCellSkin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * 表示表格中的一项
 * @author: xujunjie 
 * @Date: 2017-09-28 17:06:20 
 * @Last Modified time: 2017-10-10 14:06:51
 */
var TableCellItemRender = function (_ItemRender) {
	_inherits(TableCellItemRender, _ItemRender);

	function TableCellItemRender() {
		_classCallCheck(this, TableCellItemRender);

		return _possibleConstructorReturn(this, (TableCellItemRender.__proto__ || Object.getPrototypeOf(TableCellItemRender)).apply(this, arguments));
	}

	_createClass(TableCellItemRender, [{
		key: '_getDefaultSKinClass',
		value: function _getDefaultSKinClass() {
			return _TableCellSkin2.default;
		}
	}, {
		key: '_initProperty',
		value: function _initProperty() {
			_get(TableCellItemRender.prototype.__proto__ || Object.getPrototypeOf(TableCellItemRender.prototype), '_initProperty', this).call(this);
			this._rowIndex = 0;
			this._column = null;
			this._owner = null;
		}
	}, {
		key: 'owner',
		get: function get() {
			return this._owner;
		},
		set: function set(value) {
			if (this._owner !== value) {
				this._owner = value;
			}
		}
	}, {
		key: 'label',
		get: function get() {
			if (this.data) {
				if (this._column) {
					if (this._column.labelFunction) {
						return this._column.labelFunction(this.data, this.rowIndex, this.columnIndex);
					} else if (this._column.textField) {
						return this.data[this._column.textField];
					}
				}
				return this.data.toString();
			}
			return '';
		}
	}, {
		key: 'rowIndex',
		get: function get() {
			return this._rowIndex;
		},
		set: function set(value) {
			if (this._rowIndex !== value) {
				this._rowIndex = value;
				this.forceUpdate();
			}
		}
	}, {
		key: 'columnIndex',
		get: function get() {
			if (this._column) return this._column.index;
			return 0;
		}
	}, {
		key: 'column',
		set: function set(value) {
			if (this._column !== value) {
				this._column = value;
				this.forceUpdate();
			}
		},
		get: function get() {
			return this._column;
		}
	}]);

	return TableCellItemRender;
}(_ItemRender3.default);

exports.default = TableCellItemRender;
//# sourceMappingURL=TableCellItemRender.js.map