"use strict";

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * 表示表格中的一列
 * @author xujunjie
 * @mail yinhunfeixue@163.com
 * @date 2017-10-10 09:13:15
 */
var TableColumn = function () {
	function TableColumn(title) {
		var key = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
		var labelFunction = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;
		var itemRender = arguments.length > 3 && arguments[3] !== undefined ? arguments[3] : null;

		var _headerRender = arguments.length > 4 && arguments[4] !== undefined ? arguments[4] : null;

		_classCallCheck(this, TableColumn);

		this._index = 0;
		this._itemRender = itemRender;
		this._headerRender = _headerRender;
		this._title = title;
		this._textField = key;
		this._labelFunction = labelFunction;
	}

	_createClass(TableColumn, [{
		key: "headerRender",
		get: function get() {
			return this._headerRender;
		},
		set: function set(value) {
			if (this._headerRender !== value) {
				this._headerRender = value;
			}
		}
	}, {
		key: "labelFunction",
		get: function get() {
			return this._labelFunction;
		},
		set: function set(value) {
			if (this._labelFunction !== value) {
				this._labelFunction = value;
			}
		}
	}, {
		key: "index",
		get: function get() {
			return this._index;
		},
		set: function set(value) {
			if (this._index !== value) {
				this._index = value;
			}
		}
	}, {
		key: "itemRender",
		get: function get() {
			return this._itemRender;
		},
		set: function set(value) {
			if (this._itemRender !== value) {
				this._itemRender = value;
			}
		}
	}, {
		key: "title",
		get: function get() {
			return this._title;
		},
		set: function set(value) {
			if (this._title !== value) {
				this._title = value;
			}
		}
	}, {
		key: "textField",
		get: function get() {
			return this._textField;
		},
		set: function set(value) {
			if (this._textField !== value) {
				this._textField = value;
			}
		}
	}]);

	return TableColumn;
}();

exports.default = TableColumn;
//# sourceMappingURL=TableColumn.js.map