'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _TreeBase2 = require('./supports/TreeBase');

var _TreeBase3 = _interopRequireDefault(_TreeBase2);

var _TreeItemRender = require('./TreeItemRender');

var _TreeItemRender2 = _interopRequireDefault(_TreeItemRender);

var _TreeSkin = require('../skins/TreeSkin');

var _TreeSkin2 = _interopRequireDefault(_TreeSkin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 树控件
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017-9-29 13:02:34
 * 
 * @extends TreeBase
 */
var Tree = function (_TreeBase) {
  _inherits(Tree, _TreeBase);

  function Tree() {
    _classCallCheck(this, Tree);

    return _possibleConstructorReturn(this, (Tree.__proto__ || Object.getPrototypeOf(Tree)).apply(this, arguments));
  }

  _createClass(Tree, [{
    key: '_getDefaultSKinClass',
    value: function _getDefaultSKinClass() {
      return _TreeSkin2.default;
    }
  }, {
    key: '_itemClassType',
    get: function get() {
      return _TreeItemRender2.default;
    }
  }]);

  return Tree;
}(_TreeBase3.default);

exports.default = Tree;
//# sourceMappingURL=Tree.js.map