'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _TreeItemRenderBase2 = require('./supports/TreeItemRenderBase');

var _TreeItemRenderBase3 = _interopRequireDefault(_TreeItemRenderBase2);

var _TreeItemRenderSkin = require('../skins/TreeItemRenderSkin');

var _TreeItemRenderSkin2 = _interopRequireDefault(_TreeItemRenderSkin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * 表示Tree组件的一个子项
 * @author: xujunjie 
 * @Date: 2017-09-28 20:12:09 
 * @Last Modified time: 2017-10-09 09:27:09
 */
var TreeItemRender = function (_TreeItemRenderBase) {
	_inherits(TreeItemRender, _TreeItemRenderBase);

	function TreeItemRender() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, TreeItemRender);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = TreeItemRender.__proto__ || Object.getPrototypeOf(TreeItemRender)).call.apply(_ref, [this].concat(args))), _this), _this._switchControlClickHandler = function (event) {
			_this.isOpen = !_this.isOpen;
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(TreeItemRender, [{
		key: '_getDefaultSKinClass',
		value: function _getDefaultSKinClass() {
			return _TreeItemRenderSkin2.default;
		}

		/**
   * 
   * 切换开关的元素
   * 
   * @readonly
   * @memberof TreeItemRender
   */

	}, {
		key: '_initSkin',
		value: function _initSkin() {
			_get(TreeItemRender.prototype.__proto__ || Object.getPrototypeOf(TreeItemRender.prototype), '_initSkin', this).call(this);
			if (this.switchControl) {
				this.switchControl.onclick = this._switchControlClickHandler;
			}
		}
	}, {
		key: 'switchControl',
		get: function get() {
			return this.findSkinPart('switchControl');
		}
	}]);

	return TreeItemRender;
}(_TreeItemRenderBase3.default);

exports.default = TreeItemRender;
//# sourceMappingURL=TreeItemRender.js.map