'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _RemoteEvent2 = require('./RemoteEvent');

var _RemoteEvent3 = _interopRequireDefault(_RemoteEvent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 携带数据的事件
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017-9-27 11:32:28
 */

var DataEvent = function (_RemoteEvent) {
	_inherits(DataEvent, _RemoteEvent);

	/**
  * @enum {string} 数据变化事件
  */
	function DataEvent(type, data) {
		_classCallCheck(this, DataEvent);

		var _this = _possibleConstructorReturn(this, (DataEvent.__proto__ || Object.getPrototypeOf(DataEvent)).call(this, type));

		_this.clone = function () {
			return new DataEvent(_this.type, _this.data);
		};

		_this.data = data;
		return _this;
	}

	/**
  * 一项完成事件
  */


	/**
  * @enum {string} 关闭事件
  */


	return DataEvent;
}(_RemoteEvent3.default);

DataEvent.CLOSE = 'close';
DataEvent.DATA_CHANGED = 'dataChanged';
DataEvent.ITEM_COMPLETE = 'itemComplete';
exports.default = DataEvent;
//# sourceMappingURL=DataEvent.js.map