'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _RemoteEvent2 = require('./RemoteEvent');

var _RemoteEvent3 = _interopRequireDefault(_RemoteEvent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 进度事件
 * @author : xujunjie (yinhunfeixue@163.com)
 * @date   : 2017-12-26 19:03:13
 */
var ProgressEvent = function (_RemoteEvent) {
	_inherits(ProgressEvent, _RemoteEvent);

	function ProgressEvent(type, bytesLoaded, bytesTotal) {
		_classCallCheck(this, ProgressEvent);

		/**
   * 当前进度
   */
		var _this = _possibleConstructorReturn(this, (ProgressEvent.__proto__ || Object.getPrototypeOf(ProgressEvent)).call(this, type));

		_this.bytesLoaded = bytesLoaded;
		_this.bytesTotal = bytesTotal;
		return _this;
	}

	/**
  * @enum {string} 进度事件
  */


	_createClass(ProgressEvent, [{
		key: 'clone',
		value: function clone() {
			return new ProgressEvent(this.type, this.bytesLoaded, this.bytesTotal);
		}
	}]);

	return ProgressEvent;
}(_RemoteEvent3.default);

ProgressEvent.PROGRESS = 'progress';
exports.default = ProgressEvent;
//# sourceMappingURL=ProgressEvent.js.map