'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _RemoteEvent = require('./RemoteEvent');

var _RemoteEvent2 = _interopRequireDefault(_RemoteEvent);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 文本变化事件
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017-9-18 16:03:04
 */
var TextEvent = function (_Event) {
	_inherits(TextEvent, _Event);

	function TextEvent(type, text, oldText) {
		_classCallCheck(this, TextEvent);

		var _this = _possibleConstructorReturn(this, (TextEvent.__proto__ || Object.getPrototypeOf(TextEvent)).call(this, type));

		_this.clone = function () {
			return new TextEvent(_this.type, _this.text, _this.oldText);
		};

		_this.text = text;
		_this.oldText = oldText;
		return _this;
	}

	/**
  * @enum {string}
  */


	return TextEvent;
}(_RemoteEvent2.default);

TextEvent.TEXT_CHANGE = 'textChange';
exports.default = TextEvent;
//# sourceMappingURL=TextEvent.js.map