'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/**
 * 
 * 请求信息
 * 
 * @author : xujunjie 
 * @date   : 2017-12-26 12:21:43
 */
var UrlRequest = function UrlRequest() {
	var url = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : null;

	_classCallCheck(this, UrlRequest);

	/**
  * 请求方法，默认为get
  * 
  * @default 'GET'
  */
	this.method = 'GET';

	/**
  * 期望服务器返回的数据类型
  */
	this.contentType = null;

	/**
  * 请求携带的数据
  */
	this.data = null;

	/**
  * 请求url
  */
	this.url = url;

	/**
  * 请求头
  * @type {Object}
  */
	this.headers = null;
};

exports.default = UrlRequest;
//# sourceMappingURL=UrlRequest.js.map