'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _SkinBase2 = require('./SkinBase');

var _SkinBase3 = _interopRequireDefault(_SkinBase2);

var _Button = require('../components/Button');

var _Button2 = _interopRequireDefault(_Button);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./less/Alert.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017-9-26 09:31:54
 */

var AlertSkin = function (_SkinBase) {
	_inherits(AlertSkin, _SkinBase);

	function AlertSkin(target) {
		_classCallCheck(this, AlertSkin);

		return _possibleConstructorReturn(this, (AlertSkin.__proto__ || Object.getPrototypeOf(AlertSkin)).call(this, target, 'alert-root'));
	}

	_createClass(AlertSkin, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				{ ref: 'container', className: this.getClassByStatus('alert') },
				_react2.default.createElement(
					'div',
					{ className: 'header' },
					_react2.default.createElement('div', { ref: 'moveArea', className: 'moveArea' }),
					_react2.default.createElement('span', { className: 'title', ref: 'titleLabel' }),
					_react2.default.createElement('div', { className: 'buttonContainer', ref: 'buttonContainer' })
				),
				_react2.default.createElement('div', { className: 'contentContainer', ref: 'contentContainer' }),
				_react2.default.createElement(
					'div',
					{ className: 'bottomContainer' },
					_react2.default.createElement(_Button2.default, { ref: 'buttonOk' }),
					_react2.default.createElement(_Button2.default, { ref: 'buttonCancel' })
				)
			);
		}
	}]);

	return AlertSkin;
}(_SkinBase3.default);

exports.default = AlertSkin;
//# sourceMappingURL=AlertSkin.js.map