'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _Collection2 = require('../core/Collection');

var _Collection3 = _interopRequireDefault(_Collection2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * @author xujunjie
 * @mail yinhunfeixue@163.com
 * @date 2017-11-28 08:57:20
 */
var CheckBoxGroup = function (_Collection) {
	_inherits(CheckBoxGroup, _Collection);

	function CheckBoxGroup() {
		_classCallCheck(this, CheckBoxGroup);

		return _possibleConstructorReturn(this, (CheckBoxGroup.__proto__ || Object.getPrototypeOf(CheckBoxGroup)).apply(this, arguments));
	}

	_createClass(CheckBoxGroup, [{
		key: 'selectedAll',


		/**
   * 全选
   */
		value: function selectedAll() {
			if (this._data && this._data.length > 0) {
				this._data.forEach(function (value) {
					value.selected = true;
				});
			}
		}

		/**
   * 全不选
   */

	}, {
		key: 'unselectedAll',
		value: function unselectedAll() {
			if (this._data && this._data.length > 0) {
				this._data.forEach(function (value) {
					value.selected = false;
				});
			}
		}
		/**
   * 当前选中的值列表
   * @type {Array}
   */

	}, {
		key: 'selectedValues',
		get: function get() {
			var result = [];
			if (this._data && this._data.length > 0) {
				for (var i = 0; i < this._data.length; i++) {
					var item = this._data[i];
					if (item.selected) {
						result.push(item.value);
					}
				}
			}
			return result;
		},
		set: function set(values) {
			if (this._data && this._data.length > 0) {
				for (var i = 0; i < this._data.length; i++) {
					var item = this._data[i];
					item.selected = values && values.indexOf(item.value) >= 0;
				}
			}
		}
	}]);

	return CheckBoxGroup;
}(_Collection3.default);

exports.default = CheckBoxGroup;
//# sourceMappingURL=CheckBoxGroup.js.map