'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _set = function set(object, property, value, receiver) { var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent !== null) { set(parent, property, value, receiver); } } else if ("value" in desc && desc.writable) { desc.value = value; } else { var setter = desc.set; if (setter !== undefined) { setter.call(receiver, value); } } return value; };

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _ItemRender2 = require('./supports/ItemRender');

var _ItemRender3 = _interopRequireDefault(_ItemRender2);

var _ListItemSkin = require('../skins/ListItemSkin');

var _ListItemSkin2 = _interopRequireDefault(_ListItemSkin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 表示List组件的一个子项
 * 
 * @author xujunjie
 * @mail yinhunfeixue@163.com
 * @date 2017-10-16 09:51:13
 */
var ListItemRender = function (_ItemRender) {
	_inherits(ListItemRender, _ItemRender);

	function ListItemRender() {
		_classCallCheck(this, ListItemRender);

		return _possibleConstructorReturn(this, (ListItemRender.__proto__ || Object.getPrototypeOf(ListItemRender)).apply(this, arguments));
	}

	_createClass(ListItemRender, [{
		key: '_getDefaultSKinClass',
		value: function _getDefaultSKinClass() {
			return _ListItemSkin2.default;
		}
	}, {
		key: '_initProperty',
		value: function _initProperty() {
			_get(ListItemRender.prototype.__proto__ || Object.getPrototypeOf(ListItemRender.prototype), '_initProperty', this).call(this);
			this._index = -1;
			this._selectedAble = true;
		}
	}, {
		key: '_initSkin',
		value: function _initSkin() {
			_get(ListItemRender.prototype.__proto__ || Object.getPrototypeOf(ListItemRender.prototype), '_initSkin', this).call(this);
			if (this.rootComponent) this.rootComponent.addEventListener('click', this.clickHandler);
		}
	}, {
		key: '_unstallSkin',
		value: function _unstallSkin() {
			if (this.rootComponent) this.rootComponent.removeEventListener('click', this.clickHandler);

			_get(ListItemRender.prototype.__proto__ || Object.getPrototypeOf(ListItemRender.prototype), '_unstallSkin', this).call(this);
		}
	}, {
		key: 'clickHandler',
		value: function clickHandler(event) {
			this.selected = true;
		}

		/**
   * 属于列表中的第几项
   * @type {number}
   * @default -1;
   */

	}, {
		key: 'selectedAble',
		get: function get() {
			return this._selectedAble;
		},
		set: function set(value) {
			if (this._selectedAble !== value) {
				this._selectedAble = value;
				if (this._selectedAble === false) {
					this.selected = false;
				}
			}
		}
	}, {
		key: 'label',
		get: function get() {
			if (this.data && this._labelFunction) {
				return this._labelFunction(this.data, this.index);
			} else {
				return _get(ListItemRender.prototype.__proto__ || Object.getPrototypeOf(ListItemRender.prototype), 'label', this);
			}
		}
	}, {
		key: 'index',
		get: function get() {
			return this._index;
		},
		set: function set(value) {
			if (this._index !== value) {
				this._index = value;
				this.forceUpdate();
			}
		}

		/**
  * 表示是否选中
  * @type {boolean}
  * @default false
  */

	}, {
		key: 'selected',
		get: function get() {
			return this._selected;
		},
		set: function set(value) {
			if (this.selectedAble) {
				_set(ListItemRender.prototype.__proto__ || Object.getPrototypeOf(ListItemRender.prototype), 'selected', value, this);
			}
		}
	}]);

	return ListItemRender;
}(_ItemRender3.default);

exports.default = ListItemRender;
//# sourceMappingURL=ListItemRender.js.map