'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _TreeItemRenderBase2 = require('./supports/TreeItemRenderBase');

var _TreeItemRenderBase3 = _interopRequireDefault(_TreeItemRenderBase2);

var _MenuItemRenderSkin = require('../skins/MenuItemRenderSkin');

var _MenuItemRenderSkin2 = _interopRequireDefault(_MenuItemRenderSkin);

var _HtmlUtil = require('../utils/HtmlUtil');

var _HtmlUtil2 = _interopRequireDefault(_HtmlUtil);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * 表示Menu组件的一个子项
 * @author: xujunjie 
 * @Date: 2017-09-28 17:17:33 
 * @Last Modified time: 2017-10-09 09:20:07
 */
var MenuItemRender = function (_TreeItemRenderBase) {
	_inherits(MenuItemRender, _TreeItemRenderBase);

	function MenuItemRender() {
		var _ref;

		var _temp, _this, _ret;

		_classCallCheck(this, MenuItemRender);

		for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
			args[_key] = arguments[_key];
		}

		return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref = MenuItemRender.__proto__ || Object.getPrototypeOf(MenuItemRender)).call.apply(_ref, [this].concat(args))), _this), _this._nodeContainerMouseEnterHandler = function (event) {
			_this.isOpen = true;
		}, _this._nodeContainerMouseLeaveHandler = function (event) {
			if (!_this.rootComponent.contains(event.relatedTarget)) {
				_this.isOpen = false;
			}
		}, _temp), _possibleConstructorReturn(_this, _ret);
	}

	_createClass(MenuItemRender, [{
		key: '_adptePosition',
		value: function _adptePosition() {
			if (this.childrenContainer && this.isOpen) {
				this.childrenContainer.style.top = '';
				this.childrenContainer.style.left = '';
				var childrenContainerRectangle = _HtmlUtil2.default.getRectangleToWindow(this.childrenContainer);
				var nodeRectangle = _HtmlUtil2.default.getRectangleToWindow(this.nodeContainer);

				//如果右侧超出屏幕，则显示在左边
				if (childrenContainerRectangle.right > document.documentElement.clientWidth) {
					this.childrenContainer.style.left = this.childrenContainer.offsetLeft - childrenContainerRectangle.width - nodeRectangle.width + 'px';
				}

				//如果底部超出了屏幕，则显示在上方
				if (childrenContainerRectangle.bottom > document.documentElement.clientHeight) {
					this.childrenContainer.style.top = this.childrenContainer.offsetTop - childrenContainerRectangle.height - nodeRectangle.height + 'px';
				}
			}
		}
	}, {
		key: '_initSkin',
		value: function _initSkin() {
			_get(MenuItemRender.prototype.__proto__ || Object.getPrototypeOf(MenuItemRender.prototype), '_initSkin', this).call(this);
			if (this.nodeContainer) {
				this.rootComponent.onmouseenter = this._nodeContainerMouseEnterHandler;
				this.rootComponent.onmouseout = this._nodeContainerMouseLeaveHandler;
			}
			this._adptePosition();
		}
	}, {
		key: '_renderChildren',
		value: function _renderChildren() {
			_get(MenuItemRender.prototype.__proto__ || Object.getPrototypeOf(MenuItemRender.prototype), '_renderChildren', this).call(this);
			this._adptePosition();
		}
	}, {
		key: '_getDefaultSKinClass',
		value: function _getDefaultSKinClass() {
			return _MenuItemRenderSkin2.default;
		}
	}]);

	return MenuItemRender;
}(_TreeItemRenderBase3.default);

exports.default = MenuItemRender;
//# sourceMappingURL=MenuItemRender.js.map