'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _get = function get(object, property, receiver) { if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { return get(parent, property, receiver); } } else if ("value" in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } };

var _SkinableComponent2 = require('../components/SkinableComponent');

var _SkinableComponent3 = _interopRequireDefault(_SkinableComponent2);

var _PickerItemSkin = require('../skins/PickerItemSkin');

var _PickerItemSkin2 = _interopRequireDefault(_PickerItemSkin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 表示Picker的一个子项
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017-9-19 14:24:50
 * 
 * @extends SkinableComponent
 */
var PickItem = function (_SkinableComponent) {
	_inherits(PickItem, _SkinableComponent);

	function PickItem() {
		_classCallCheck(this, PickItem);

		return _possibleConstructorReturn(this, (PickItem.__proto__ || Object.getPrototypeOf(PickItem)).apply(this, arguments));
	}

	_createClass(PickItem, [{
		key: '_initProperty',

		/**
   * @inheritDoc
   */
		value: function _initProperty() {
			_get(PickItem.prototype.__proto__ || Object.getPrototypeOf(PickItem.prototype), '_initProperty', this).call(this);
			this._value = null;
			this._label = '';
			this.selectedAble = false;
		}
	}, {
		key: '_getDefaultSKinClass',
		value: function _getDefaultSKinClass() {
			return _PickerItemSkin2.default;
		}
	}, {
		key: 'value',
		get: function get() {
			return this._value;
		},
		set: function set(v) {
			this._value = v;
			this.forceUpdate();
		}
	}, {
		key: 'label',
		get: function get() {
			return this._label;
		},
		set: function set(v) {
			this._label = v;
			this.forceUpdate();
		}
	}]);

	return PickItem;
}(_SkinableComponent3.default);

exports.default = PickItem;
//# sourceMappingURL=PickItem.js.map