'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _RemoteEvent2 = require('./RemoteEvent');

var _RemoteEvent3 = _interopRequireDefault(_RemoteEvent2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 移动事件
 * @author : xujunjie (yinhunfeixue@163.com)
 * @date   : 2018-1-4 18:33:40
 */
var MoveEvent = function (_RemoteEvent) {
	_inherits(MoveEvent, _RemoteEvent);

	function MoveEvent(type, x, y) {
		_classCallCheck(this, MoveEvent);

		var _this = _possibleConstructorReturn(this, (MoveEvent.__proto__ || Object.getPrototypeOf(MoveEvent)).call(this, type));

		_this.clone = function () {
			return new MoveEvent(_this.type, _this.x, _this.y);
		};

		_this.x = x;
		_this.y = y;
		return _this;
	}

	return MoveEvent;
}(_RemoteEvent3.default);

MoveEvent.MOVEING = 'moveing';
MoveEvent.MOVE_START = 'moveStart';
MoveEvent.MOVE_END = 'moveEnd';
exports.default = MoveEvent;
//# sourceMappingURL=MoveEvent.js.map