'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var RemoteEvent =

/**
 * 事件实例
 * @param {string} type 事件类型
 */


/**
 * @enum {string} 失去焦点
 */


/**
 * @enum {string} 按下enter键
 */
function RemoteEvent(type) {
  var _this = this;

  _classCallCheck(this, RemoteEvent);

  this.clone = function () {
    return new RemoteEvent(_this.type);
  };

  /**
   * 发出事件的对象
   */
  this.target = null;

  /**
   * 监听事件的对象
   */
  this.currentTarget = null;

  /**
   * 事件类型
   */
  this.type = type;
}

/**
 * @enum {string} 完成事件
 */


/**
 * @enum {string} 获得焦点
 */


/**
 * @enum {string} 发生变化 
 */
;

RemoteEvent.CHANGE = 'change';
RemoteEvent.ENTER = 'enter';
RemoteEvent.FOCUS = 'focus';
RemoteEvent.BLUR = 'blur';
RemoteEvent.COMPLETE = 'complete';
exports.default = RemoteEvent;
//# sourceMappingURL=RemoteEvent.js.map