'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _SkinBase2 = require('./SkinBase');

var _SkinBase3 = _interopRequireDefault(_SkinBase2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./less/MenuItemRender.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017-9-30 10:19:40
 */

var MenuItemRenderSkin = function (_SkinBase) {
	_inherits(MenuItemRenderSkin, _SkinBase);

	function MenuItemRenderSkin() {
		_classCallCheck(this, MenuItemRenderSkin);

		return _possibleConstructorReturn(this, (MenuItemRenderSkin.__proto__ || Object.getPrototypeOf(MenuItemRenderSkin)).apply(this, arguments));
	}

	_createClass(MenuItemRenderSkin, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'span',
				{ className: 'menuItemRender menuItemRender-' + this.status + ' menuItemRender-' + this.target.levelIndex },
				_react2.default.createElement(
					'span',
					{ ref: 'nodeContainer', className: 'nodeContainer' },
					this.target.label,
					this.target.childrenCount > 0 && _react2.default.createElement('div', { className: 'icon' })
				),
				_react2.default.createElement('span', { ref: 'childrenContainer', className: 'childrenContainer' })
			);
		}
	}, {
		key: 'rootStyle',
		get: function get() {
			if (this.target.levelIndex === 0) {
				return {};
			} else {
				return { display: 'block' };
			}
		}
	}]);

	return MenuItemRenderSkin;
}(_SkinBase3.default);

exports.default = MenuItemRenderSkin;
//# sourceMappingURL=MenuItemRenderSkin.js.map