'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _SkinBase2 = require('./SkinBase');

var _SkinBase3 = _interopRequireDefault(_SkinBase2);

var _TextInput = require('../components/TextInput');

var _TextInput2 = _interopRequireDefault(_TextInput);

var _Button = require('../components/Button');

var _Button2 = _interopRequireDefault(_Button);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./less/NumberSteper.less');

var _NumberSteperButtonSkin = require('./NumberSteperButtonSkin');

var _NumberSteperButtonSkin2 = _interopRequireDefault(_NumberSteperButtonSkin);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017-9-18 10:30:54
 */

var NumerSteperSkin = function (_SkinBase) {
	_inherits(NumerSteperSkin, _SkinBase);

	function NumerSteperSkin(props) {
		_classCallCheck(this, NumerSteperSkin);

		return _possibleConstructorReturn(this, (NumerSteperSkin.__proto__ || Object.getPrototypeOf(NumerSteperSkin)).call(this, props, 'numberSteper'));
	}

	_createClass(NumerSteperSkin, [{
		key: 'render',
		value: function render() {
			return [_react2.default.createElement(_Button2.default, { key: 'upButton', ref: 'upButton', skinClass: _NumberSteperButtonSkin2.default, className: 'btnUp' }), _react2.default.createElement(_Button2.default, { key: 'downButton', ref: 'downButton', skinClass: _NumberSteperButtonSkin2.default, className: 'btnDown' }), _react2.default.createElement(_TextInput2.default, { key: 'inputText', ref: 'inputText' })];
		}
	}]);

	return NumerSteperSkin;
}(_SkinBase3.default);

exports.default = NumerSteperSkin;
//# sourceMappingURL=NumberSteperSkin.js.map