'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _SkinBase2 = require('./SkinBase');

var _SkinBase3 = _interopRequireDefault(_SkinBase2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./less/ProgressBar.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * @author: xujunjie 
 * @Date: 2017-09-28 14:10:53 
 * @Last Modified by: xujunjie
 * @Last Modified time: 2017-09-28 15:36:04
 */
var ProgressBarSkin = function (_SkinBase) {
	_inherits(ProgressBarSkin, _SkinBase);

	function ProgressBarSkin() {
		_classCallCheck(this, ProgressBarSkin);

		return _possibleConstructorReturn(this, (ProgressBarSkin.__proto__ || Object.getPrototypeOf(ProgressBarSkin)).apply(this, arguments));
	}

	_createClass(ProgressBarSkin, [{
		key: 'render',
		value: function render() {
			return _react2.default.createElement(
				'div',
				{ className: this.getClassByStatus('progressBar') },
				_react2.default.createElement(
					'div',
					{ className: 'track' },
					_react2.default.createElement('div', { className: 'bar', style: { width: this.target.value * 100 / this.target.maxValue + '%' } })
				),
				_react2.default.createElement(
					'span',
					{ className: 'text' },
					this.target.label
				)
			);
		}
	}]);

	return ProgressBarSkin;
}(_SkinBase3.default);

exports.default = ProgressBarSkin;
//# sourceMappingURL=ProgressBarSkin.js.map