'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/**
 * 
 * 
 * @author : xujunjie 
 * @mail   : yinhunfeixue@163.com
 * @date   : 2017/8/31 下午7:26:28
 */
var SkinBase = function (_React$Component) {
	_inherits(SkinBase, _React$Component);

	/**
  * 
  * @param {*} target 皮肤对应的组件
  * @param {*} rootClass 组件根html元素的css类名
  * @param {*} rootStyle 组件根html元素的样式
  */
	function SkinBase(target) {
		var rootClass = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : null;
		var rootStyle = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : null;

		_classCallCheck(this, SkinBase);

		var _this = _possibleConstructorReturn(this, (SkinBase.__proto__ || Object.getPrototypeOf(SkinBase)).call(this, null));

		_this.target = target;
		_this._status = null;
		_this._oldStatus = null;
		_this._rootClass = rootClass;
		_this._rootStyle = rootStyle;
		return _this;
	}

	/**
  * 组件根Html元素的css类名
  */


	_createClass(SkinBase, [{
		key: 'styleChange',
		value: function styleChange(newStatus, oldStatus) {
			this._status = newStatus;
			this._oldStatus = oldStatus;
		}
	}, {
		key: 'render',
		value: function render() {
			return _react2.default.createElement('div', null);
		}
	}, {
		key: 'dispose',
		value: function dispose() {
			this.target = null;
		}
	}, {
		key: 'getClassByStatus',
		value: function getClassByStatus(baseName) {
			if (baseName) return baseName + (this.status ? ' ' + baseName + '-' + this.status : '');

			return '';
		}
	}, {
		key: 'rootClass',
		get: function get() {
			return this.getClassByStatus(this._rootClass);
		}

		/**
   * 组件根html元素的样式
   * @readonly
   */

	}, {
		key: 'rootStyle',
		get: function get() {
			return this._rootStyle;
		}
	}, {
		key: 'status',
		get: function get() {
			return this._status;
		}
	}]);

	return SkinBase;
}(_react2.default.Component);

exports.default = SkinBase;
//# sourceMappingURL=SkinBase.js.map