'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _SkinBase2 = require('./SkinBase');

var _SkinBase3 = _interopRequireDefault(_SkinBase2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

require('./less/TreeItemRender.less');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * @author: xujunjie 
 * @Date: 2017-09-28 20:27:51 
 * @Last Modified time: 2017-10-09 09:27:43
 */
var TreeItemRenderSkin = function (_SkinBase) {
	_inherits(TreeItemRenderSkin, _SkinBase);

	_createClass(TreeItemRenderSkin, [{
		key: 'rootStyle',
		get: function get() {
			return {
				display: 'block'
			};
		}
	}]);

	function TreeItemRenderSkin(props) {
		_classCallCheck(this, TreeItemRenderSkin);

		return _possibleConstructorReturn(this, (TreeItemRenderSkin.__proto__ || Object.getPrototypeOf(TreeItemRenderSkin)).call(this, props, 'treeItemRender'));
	}

	_createClass(TreeItemRenderSkin, [{
		key: 'render',
		value: function render() {
			var result = [];
			result.push(_react2.default.createElement(
				'div',
				{ className: 'nodeContainer', key: 'nodeContainer' },
				this.target.childrenCount > 0 && _react2.default.createElement('img', { ref: 'switchControl', className: 'treeItemIcon', alt: '', src: this.target.isOpen ? require('./icon/sub.svg') : require('./icon/add.svg') }),
				_react2.default.createElement(
					'span',
					{ className: 'treeItemLabel', ref: 'nodeContainer' },
					this.target.label
				)
			));

			if (this.target.childrenCount > 0) {
				result.push(_react2.default.createElement('div', { key: 'childrenContainer', ref: 'childrenContainer', className: 'childrenContainer' }));
			}
			return result;
		}
	}]);

	return TreeItemRenderSkin;
}(_SkinBase3.default);

exports.default = TreeItemRenderSkin;
//# sourceMappingURL=TreeItemRenderSkin.js.map